<!DOCTYPE html>
<html>
<head>
    <title>Bootstrap</title>
    <?php $this->load->helper('url');?>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="<?=base_url()?>css/login.css" rel="stylesheet">
    <link href="<?=base_url()?>bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="<?=base_url()?>bootstrap/ui/jquery-ui.css"/>
    <link href="<?=base_url()?>css/animate.css" rel="stylesheet">
    <script src="<?=base_url()?>js/jquery.min.js"></script>
    <script src="<?=base_url()?>bootstrap/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="<?=base_url()?>bootstrap/ui/jquery-ui.js"></script>
    <script>
        var action="author_post/";
        var label="Author";
        function switchmethod()
        {
            switch (label)
            {
                case "Conference": action="author_post/"; label="Author"; 
                $("#inputbox").autocomplete({
                source: "<?=site_url("Search/author_auto_complete/")?>",
                minLength: 2
                });
                break;
                case "Author": action="paper_post/"; label="Title"; 
                $("#inputbox").autocomplete({
                source: "<?=site_url("Search/paper_auto_complete/")?>",
                minLength: 2
                });
                break;
                case "Title": $("#inputbox").autocomplete({source:"<?=site_url("Search/pass/")?>",minLength:2}); action="conference_post/"; label="Conference"; break;     
            }
            $("#btn").html(label);
            $("#search").attr("action","<?=site_url("Search/")?>"+action);
        };

        $(function(){
            $("#inputbox").autocomplete({
                source: "<?=site_url("Search/author_auto_complete/")?>",
                minLength: 2
            });
        });

        function login() {
        
        
        var name=$("#name").val();
        var password=$("#password").val();
        $.ajax({
            url : "<?=site_url("Search/login/")?>",
            dataType : "json",
            type : "post",
            async : true,   //avoid the page collapse
            data : {"name":name,"password":password},
            success : function(data) {
                if (data["method"]=="login")
                {
                    location.reload();
                }
                if (data["method"]=="signup")
                {
                    $("#dialog").attr("style","width:1100px");
                    $("#LoginContent").load( "<?=base_url('element/check.html')?>", function( response, status, xhr ) {
                    $("#LoginContent").html(response)});
                }
            }
            })
    }
        function logout() {
        $.ajax({
            url : "<?=site_url("Search/logout/")?>",
            dataType : "json",
            type : "post",
            async : true,   //avoid the page collapse
            data : {},
            success : function(data) {
                self.location='<?=site_url("")?>';
            }
        })
        }
    </script>
</head>
<body  style="padding: 0 0 0 0;background-color: #ffffff;background-image: url(<?=base_url()?>element/bg3.jpg);background-position: top left;background-size:cover;font-family: Helvetica, Arial, sans-serif;">
<div class="modal fade" id="authorModal" role="dialog" aria-labelledby="authorModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title" id="title"></h4>
            </div>
            <div class="modal-body" id="author">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="" id="Paper">Learn more</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="LoginModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">    
<div id="dialog" class="modal-dialog" >
        <div id="LoginContent" class="modal-content">
        
        <div  class="modal-body" style="padding: 0 0 0 0;background-color: #ffffff;background-image: url(<?=base_url()?>bg.png);background-position: top left;background-repeat: repeat;font-family: Helvetica, Arial, sans-serif;">
        <div class="first-login">
            <form>
                <li>
                    <input type="text" id="name" class="text" value="Name" name="name" onfocus="this.value = '';" onblur="if (this.value == '') {this.value = 'Name';}" ><a href="#" class=" icon user"></a>
                </li>
                <li class="pw">
                    <input type="password" id="password" value="Password" name="password" onfocus="this.value = '';" onblur="if (this.value == '') {this.value = 'Password';}"><a href="#" class=" icon lock"></a>
                </li>
                <div class="submit">
                    <input type="button" value="LOG IN/SIGN UP" onclick="login()"> 
                </div>
            </form>
        </div>
    </div>
        </div>
</div> 
</div>
<script><!--use ajax to get the information-->
    function author_request(paper_ID,Title) {
        $.ajax({
            url : "<?=site_url("Search/author_request/")?>",
            dataType : "json",
            type : "post",
            async : true,   //avoid the page collapse
            data : {"Paper_ID":paper_ID},
            success : function(data) {
            var html = "<table class=\"table table-hover\"><thead><tr><td>No.</td><td>ID</td><td>Name</td></tr></thead>";
            var prefix = "<?=site_url("Search/single_author_page/")?>";
            var paperprefix = "<?=site_url("Search/paper_page/")?>";
            for(var i=0;i<data.length;i++){
                var row = data[i];
                html +="<tr><td><span class=\"badge\">"+row["Author_Sequence"]+"</span></td><td>"+row["Author_ID"]+"</td><td><a href='"+prefix+row['Author_ID']+"'>"+row["Author_Name"]+"</a></td></tr>";
                }
                html += "</table>";
            $("#author").html(html);
            $("#authorModal").modal("show");
            $("#title").html("<em>"+Title+"</em>");
            $("#Paper").attr("onclick","window.open('"+paperprefix+paper_ID+"')");
            }
            })
    }
</script>
<div class="container animated fadeIn">
    <div class="row clearfix">
        <div class="col-md-12 column">
            <nav class="navbar navbar-inverse" role="navigation">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="<?=site_url("Search/index/")?>">413 Search</a>
                    
                </div>
                    <div class="col-md-6 column" style="top:7px; left:15px">
                    <form class="bs-example bs-example-form" role="form" action="<?=site_url("Search/author_post/") ?>" method="post" id="search">
                        <div class="input-group">
                            <span class="input-group-btn">
                                <button class="btn btn-default" onclick="switchmethod()" id="btn" type="button">Author</button>
                            </span>
                            <input type="text" class="form-control form-control-lg" placeholder="Input anything to search" id="inputbox" name="key">
                                <span class="input-group-btn">
                            <button class="btn btn-primary" type="submit">Go!</button>
                            </span>
                        </div>
                    </form>
                    </div>
            <?php if (!$this->session->logined) echo '<button type="button" class="btn btn-lg btn-primary pull-right" data-toggle="modal" data-target="#LoginModal"><span class="glyphicon glyphicon-align-justify"></span></button>';
            else echo "<button type='button' class='btn btn-primary pull-right' style='font-size: 20px' onclick='logout()'>
            <span class='glyphicon glyphicon-user'></span>{$this->session->user}
          </button>" ?>
            </nav>
        </div>
    </div>
