<!DOCTYPE html>
<html>
<head>
    <title>Bootstrap</title>
    <?php $this->load->helper('url');?>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="<?=base_url()?>bootstrap/css/bootstrap.css" rel="stylesheet">
    <link href="<?=base_url()?>bootstrap/ui/jquery-ui.css" rel="stylesheet">
    <link href="<?=base_url()?>css/animate.css" rel="stylesheet">
    <link href="<?=base_url()?>css/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="<?=base_url()?>css/login.css" rel="stylesheet">
    <link rel="stylesheet" href="<?=base_url()?>css/font-awesome.css">
    <link rel="stylesheet" href="<?=base_url()?>css/build.css">
    <script src="<?=base_url()?>js/jquery.min.js"></script>
    <script src="<?=base_url()?>bootstrap/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="<?=base_url()?>bootstrap/ui/jquery-ui.js"></script>
</head>
<script>
        var action="author_post/";
        var label="Author";
        
        function switchmethod()
        {
            switch (label)
            {
                case "Conference": action="author_post/"; label="Author"; 
                $("#inputbox").autocomplete({
                source: "<?=site_url("Search/author_auto_complete/")?>",
                minLength: 2
                });
                break;
                case "Author": action="paper_post/"; label="Title"; 
                $("#inputbox").autocomplete({
                source: "<?=site_url("Search/paper_auto_complete/")?>",
                minLength: 2
                });
                break;
                case "Title": $("#inputbox").autocomplete({source:"<?=site_url("Search/pass/")?>",minLength:2}); action="conference_post/"; label="Conference"; break;     
            }
            $("#btn").html(label);
            $("#search").attr("action","<?=site_url("Search/")?>"+action);
        };

        $(function(){
            $("#inputbox").autocomplete({
                source: "<?=site_url("Search/author_auto_complete/")?>",
                minLength: 2
            });
        });
    function login() {
        
        
        var name=$("#name").val();
        var password=$("#password").val();
        $.ajax({
            url : "<?=site_url("Search/login/")?>",
            dataType : "json",
            type : "post",
            async : true,   //avoid the page collapse
            data : {"name":name,"password":password},
            success : function(data) {
                if (data["method"]=="login")
                {
                    location.reload();
                }
                if (data["method"]=="signup")
                {
                    $("#dialog").attr("style","width:1100px");
                    $("#LoginContent").load( "<?=base_url('element/check.html')?>", function( response, status, xhr ) {
                    $("#LoginContent").html(response)});
                }
            }
            })
    }
    function logout() {
        $.ajax({
            url : "<?=site_url("Search/logout/")?>",
            dataType : "json",
            type : "post",
            async : true,   //avoid the page collapse
            data : {},
            success : function(data) {
                location.reload();
            }
            })
    }
</script>
<body style="padding: 0 0 0 0;background-color: #ffffff;background-image: url(<?=base_url()?>element/bg.png);background-position: top left;background-repeat: repeat;font-family: Helvetica, Arial, sans-serif;">
<div class="modal fade" id="LoginModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">    
<div id="dialog" class="modal-dialog" >
        <div id="LoginContent" class="modal-content">
        
        <div  class="modal-body" style="padding: 0 0 0 0;background-color: #ffffff;background-image: url(<?=base_url()?>bg.png);background-position: top left;background-repeat: repeat;font-family: Helvetica, Arial, sans-serif;">
        <div class="first-login">
            <form>
                <li>
                    <input type="text" id="name" class="text" value="Name" name="name" onfocus="this.value = '';" onblur="if (this.value == '') {this.value = 'Name';}" ><a href="#" class=" icon user"></a>
                </li>
                <li class="pw">
                    <input type="password" id="password" value="Password" name="password" onfocus="this.value = '';" onblur="if (this.value == '') {this.value = 'Password';}"><a href="#" class=" icon lock"></a>
                </li>
                <div class="submit">
                    <input type="button" value="LOG IN/SIGN UP" onclick="login()"> 
                </div>
            </form>
        </div>
    </div>
        </div>
</div> 
</div>
<div class="container">
            <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
            <div class="container-fluid">
            <div class="navbar-header">
                <a class="navbar-brand" href="#">413 Search</a>
            </div>
            <?php if (!$this->session->logined) echo '<button type="button" class="btn btn-lg btn-primary pull-right" data-toggle="modal" data-target="#LoginModal"><span class="glyphicon glyphicon-align-justify"></span></button>';
            else echo "<button type='button' class='btn btn-primary pull-right' style='font-size: 20px' onclick='logout()'>
            <span class='glyphicon glyphicon-user'></span>{$this->session->user}
          </button>" ?>
            </div>
               
        </nav>
        <br>
        <br>
        <br>
        <div class="col-md-8 column col-md-offset-2">
            <p class="text-center"><img class="animated bounceIn" src="<?=base_url()?>element/Title.png"></p>
            <form class="bs-example bs-example-form animated bounceIn" role="form" action="<?=site_url("Search/author_post/") ?>" method="post" id="search">
            <div class="input-group input-group-lg">
                <span class="input-group-btn">
                    <button class="btn btn-default" onclick="switchmethod()" id="btn" type="button">Author</button>
                </span>
                <input type="text" class="form-control form-control-lg" placeholder="Input anything to search" id="inputbox" name="key">
                <span class="input-group-btn">
                    <button class="btn btn-primary" type="submit">Go!</button>
                </span>
            </div>
            </form>
        </div>
    </div>
</body>