<div class="row">
    <div class="col-md-8 col-md-offset-2">
        <nav style="text-align: center">
            <ul class="pager">
                <li class="previous" id="previous"><a onclick="<?=$inform["Call"]?>('<?=$inform["Key"]?>',Page-1)" ><span aria-hidden="true">&larr;</span> Previous</a></li>
                <li class="next"  id="next"><a onclick="<?=$inform["Call"]?>('<?=$inform["Key"]?>',Page+1)"><span aria-hidden="true">&rarr;</span> Next</a></li>
            </ul>
        </nav>
    </div>
</div>

<script><!--use ajax to get the information-->
    var Page=<?=$inform["Current_Page"]?>;
    var Total_Page=<?=$inform["Total_Page"]?>;
    function multi_author_request(Author_Name,new_Page) {
        if (new_Page==0) 
        {
            alert("It has been the first page");
            return;
        }
        if (new_Page><?=$inform["Total_Page"]?>)
        {
            alert("It has been the last page");
            return;
        }
        $.ajax({
            url : "<?=site_url("Search/multi_author_request/")?>",
            dataType : "json",
            type : "post",
            async : true,   //avoid the page collapse
            data : {"Author_Name":Author_Name,"Page":new_Page},
            success : function(data) {
            var html ="<thead><tr><td>Author ID</td><td>Author Name</td><td>Paper Number</td><td>Affiliation</td></tr></thead>";
            var prefix = "<?=site_url("Search/single_author_page/")?>";
            Page=new_Page;
            for(var i=0;i<10;i++){
                var row = data[i];
                if (row==undefined) continue;
                html +="<tr><td>"+row["Author_ID"]+"</td><td><a href='"+prefix+row["Author_ID"]+"'>"+row["Author_Name"]+"</a></td><td><span class=\"badge\">"+row["NUM"]+"</span></td>";
                if (!row["Affiliation_Name"]) html +="<td><span class='label label-danger'>None</span></td></tr>";
                else html +="<td><span class='label label-info'>"+row["Affiliation_Name"]+"</span></td></tr>";
                }
            $("#Table").html(html);
            }
            })
    }
    function single_author_request(Author_ID,new_Page) {
        if (new_Page==0) 
        {
            alert("It has been the first page");
            return;
        }
        if (new_Page><?=$inform["Total_Page"]?>)
        {
            alert("It has been the last page");
            return;
        }
        $.ajax({
            url : "<?=site_url("Search/single_author_request/")?>",
            dataType : "json",
            type : "post",
            async : true,   //avoid the page collapse
            data : {"Author_ID":Author_ID,"Page":new_Page},
            success : function(data) {
            var html ="<thead><tr><td>Paper ID</td><td>Title</td><td>Reference Number</td><td>Venue</td><td>Author</td></tr></thead>";
            var prefix = "<?=site_url("Search/paper_page/")?>";
            Page=new_Page;
            for(var i=0;i<10;i++){
                if (data[i]==undefined) continue;
                var row = data[i];
                html +="<tr><td>"+row["Paper_ID"]+"</td>";
                html +="<td><a href='"+prefix+row["Paper_ID"]+"'>"+row["Title"]+"</a></td>";
                html +="<td><span class='badge'>"+row["NUM"]+"</span></td>";
                html +="<td><span class='label label-info'>"+row["Venue"]+"</span></td>";
                html +="<td><button type='button' class='btn-xs btn-success' onclick=\"author_request('"+row["Paper_ID"]+"','"+row["Title"]+"')\">...</button></td></tr>"
                }
            $("#Table").html(html);
            }
            })
    }

    function multi_paper_request(Title,new_Page) {
        if (new_Page==0) 
        {
            alert("It has been the first page");
            return;
        }
        if (new_Page><?=$inform["Total_Page"]?>)
        {
            alert("It has been the last page");
            return;
        }
        $.ajax({
            url : "<?=site_url("Search/multi_paper_request/")?>",
            dataType : "json",
            type : "post",
            async : true,   //avoid the page collapse
            data : {"Title":Title,"Page":new_Page},
            success : function(data) {
            var html ="<thead><tr><td>Paper ID</td><td>Title</td><td>Cite</td><td>Conference</td><td>Publish Year</td></tr></thead>";
            var prefix = "<?=site_url("Search/paper_page/")?>";
            Page=new_Page;
            for(var i=0;i<10;i++){
                if (data[i]==undefined) continue;
                var row = data[i];
                html +="<tr><td>"+row["Paper_ID"]+"</td>";
                html +="<td><a href='"+prefix+row["Paper_ID"]+"'>"+row["Title"]+"</a></td>";
                html +="<td><span class='badge'>"+row["Cite"]+"</span></td>";
                html +="<td><span class='label label-info'>"+row["Conference"]+"</span></td>";
                html +="<td><span class='badge'>"+row["Paper_Publish_Year"]+"</span></td>";
                }
            $("#Table").html(html);
            }
            })
    }

    function conference_request(Conference,new_Page) {
        if (new_Page==0) 
        {
            alert("It has been the first page");
            return;
        }
        if (new_Page><?=$inform["Total_Page"]?>)
        {
            alert("It has been the last page");
            return;
        }
        $.ajax({
            url : "<?=site_url("Search/conference_request/")?>",
            dataType : "json",
            type : "post",
            async : true,   //avoid the page collapse
            data : {"Conference":Conference,"Page":new_Page},
            success : function(data) {
            var html ="<thead><tr><td>Paper ID</td><td>Title</td><td>Cite</td><td>Conference</td><td>Publish Year</td></tr></thead>";
            var prefix = "<?=site_url("Search/paper_page/")?>";
            Page=new_Page;
            for(var i=0;i<10;i++){
                if (data[i]==undefined) continue;
                var row = data[i];
                html +="<tr><td>"+row["Paper_ID"]+"</td>";
                html +="<td><a href='"+prefix+row["Paper_ID"]+"'>"+row["Title"]+"</a></td>";
                html +="<td><span class='badge'>"+row["Cite"]+"</span></td>";
                html +="<td><span class='label label-info'>"+row["Conference"]+"</span></td>";
                html +="<td><span class='badge'>"+row["Paper_Publish_Year"]+"</span></td>";
                }
            $("#Table").html(html);
            }
            })
    }

    function keyword_request(Keyword,new_Page) {
        if (new_Page==0) 
        {
            alert("It has been the first page");
            return;
        }
        if (new_Page><?=$inform["Total_Page"]?>)
        {
            alert("It has been the last page");
            return;
        }
        $.ajax({
            url : "<?=site_url("Search/keyword_request/")?>",
            dataType : "json",
            type : "post",
            async : true,   //avoid the page collapse
            data : {"Keyword_ID":Keyword,"Page":new_Page},
            success : function(data) {
            var html ="<thead><tr><td>Paper ID</td><td>Title</td><td>Reference Number</td><td>Author</td></tr></thead>";
            var prefix = "<?=site_url("Search/paper_page/")?>";
            Page=new_Page;
            for(var i=0;i<10;i++){
                if (data[i]==undefined) continue;
                var row = data[i];
                html +="<tr><td>"+row["Paper_ID"]+"</td>";
                html +="<td><a href='"+prefix+row["Paper_ID"]+"'>"+row["Title"]+"</a></td>";
                html +="<td><span class='badge'>"+row["Cite"]+"</span></td>";
                html +="<td><button type='button' class='btn-xs btn-success' onclick=\"author_request('"+row["Paper_ID"]+"','"+row["Title"]+"')\">...</button></td></tr>"
                }
            $("#Table").html(html);
            }
            })
    }
</script>